const fz = require('zigbee-herdsman-converters/converters/fromZigbee');
const tz = require('zigbee-herdsman-converters/converters/toZigbee');
const exposes = require('zigbee-herdsman-converters/lib/exposes');
const modernExtend = require('zigbee-herdsman-converters/lib/modernExtend');
const e = exposes.presets;
const ea = exposes.access;
const tuya = require('zigbee-herdsman-converters/lib/tuya');
const reporting = require('zigbee-herdsman-converters/lib/reporting');

const definition = {

     fingerprint: [
         {
            modelID: 'TS0601',
            manufacturerName: '_TZE200_lhpnrfmy',
        },
    ],
    model: 'TS0601_new',
    vendor: 'Tuya',
    description: 'ERC2201-Z',
    fromZigbee: [tuya.fz.datapoints],
    toZigbee: [tuya.tz.datapoints],
    onEvent: tuya.onEventSetTime,
    configure: tuya.configureMagicPacket,
    exposes: [

    ],
    meta: {
        multiEndpoint: true,
        tuyaDatapoints: [
                [1, 'switch', tuya.valueConverter.trueFalseInvert], // switch_1, send and report, bool
                [14, 'relay status', tuya.valueConverter.raw], // relay_status, send and report, enum, enum value: off, on, memory
                [19, 'inching switch', tuya.valueConverter.trueFalseInvert], // switch_inching, send and report, string
                [20, 'switch2', tuya.valueConverter.trueFalseInvert], // не используется в одноканальном реле
],
    },
    extend: [

    ],
};

module.exports = definition;

